Check Point Reference:CPAI-2012-131
Date Published: 10 Apr 2012
Severity: Critical
Last Updated:
Source: CVE-2012-0158
Protection Provided by:

Security Gateway
R70

  • R71
  • R75

  • Who is Vulnerable? Microsoft Office 2003 Service Pack 3
    Microsoft Office 2003 Web Components Service Pack 3
    Microsoft Office 2007 Service Pack 2
    Microsoft Office 2007 Service Pack 3
    Microsoft Office 2010 (32-bit Edition)
    Microsoft Office 2010 Service Pack 1 (32-bit Edition)
    Microsoft SQL Server 2000 Analysis Services Service Pack 4
    Microsoft SQL Server 2000 Service Pack 4
    Microsoft SQL Server 2005 Express Edition with Advanced Services Service Pack 4
    Microsoft SQL Server 2005 for 32-bit Systems Service Pack 4
    Microsoft SQL Server 2005 for Itanium-Based Systems Service Pack 4
    Microsoft SQL Server 2005 for x64-based Systems Service Pack 4
    Microsoft SQL Server 2008 for 32-bit Systems Service Pack 2
    Microsoft SQL Server 2008 for 32-bit Systems Service Pack 3
    Microsoft SQL Server 2008 for x64-based Systems Service Pack 2
    Microsoft SQL Server 2008 for x64-based Systems Service Pack 3
    Microsoft SQL Server 2008 for Itanium-Based Systems Service Pack 2
    Microsoft SQL Server 2008 for Itanium-Based Systems Service Pack 3
    Microsoft SQL Server 2008 R2 for 32-bit Systems
    Microsoft SQL Server 2008 R2 for Itanium-Based Systems
    Microsoft SQL Server 2008 R2 for x64-based Systems
    Microsoft BizTalk Server 2002 Service Pack 1
    Microsoft Commerce Server 2002 Service Pack 4
    Microsoft Commerce Server 2007 Service Pack 2
    Microsoft Commerce Server 2009
    Microsoft Commerce Server 2009 R2
    Microsoft Visual FoxPro 8.0 Service Pack 1
    Microsoft Visual FoxPro 9.0 Service Pack 2
    Visual Basic 6.0 Runtime
    Vulnerability Description A remote code execution vulnerability has been reported in Microsoft Internet Explorer.
    Update/Patch AvaliableApply patches from: MS12-027
    Vulnerability DetailsThe vulnerability is due to an error in an ActiveX control. To trigger this issue, an attacker can create a malicious web page that initiates the vulnerable ActiveX control. Successful exploitation of this vulnerability allows execution of arbitrary code on the vulnerable system.

    Protection Overview

    This protection will detect and block the vulnerable ActiveX Control.

    In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, Protection tab and select the version of your choice.

    1. In the IPS tab, click Protections and find the MSCOMCTL.OCX Killbit: C74190B6-8589-11d1-B16A-00C0F0283628 (MS12-027) protection using the Search tool and Edit the protection's settings.
    2. Install policy on all modules.

    SmartView Tracker will log the following entries:
    Attack Name: Web Client Enforcement Violation
    Attack Information: Killbit: C74190B6-8589-11d1-B16A-00C0F0283628 (MS12-027) was detected